diff --git a/options.c b/options.c
--- a/options.c
+++ b/options.c
@@ -577,6 +577,7 @@
 	char const *iconv = "no ";
 	char const *ipv6 = "no ";
 	char const *fileflags = "no ";
+	char const *hfscomp = "no";
 	STRUCT_STAT *dumstat;
 
 #if SUBPROTOCOL_VERSION != 0
@@ -616,6 +617,9 @@
 #ifdef SUPPORT_FILEFLAGS
 	fileflags = "";
 #endif
+#ifdef SUPPORT_HFS_COMPRESSION
+	hfscomp = "";
+#endif
 
 	rprintf(f, "%s  version %s  protocol version %d%s\n",
 		RSYNC_NAME, RSYNC_VERSION, PROTOCOL_VERSION, subprotocol);
@@ -629,8 +633,10 @@
 		(int)(sizeof (int64) * 8));
 	rprintf(f, "    %ssocketpairs, %shardlinks, %ssymlinks, %sIPv6, batchfiles, %sinplace,\n",
 		got_socketpair, hardlinks, links, ipv6, have_inplace);
-	rprintf(f, "    %sappend, %sACLs, %sxattrs, %siconv, %ssymtimes, %sprealloc, %sfile-flags\n",
+	rprintf(f, "    %sappend, %sACLs, %sxattrs, %siconv, %ssymtimes, %sprealloc, %sfile-flags,\n",
 		have_inplace, acls, xattrs, iconv, symtimes, prealloc, fileflags);
+ 	rprintf(f, "    %sHFS-compression\n",
+ 		hfscomp);
 
 #ifdef MAINTAINER_MODE
 	rprintf(f, "Panic Action: \"%s\"\n", get_panic_action());
